# $Revision: 1.10 $, $Date: 2012/01/18 20:15:25 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	Body
Summary:	HTTP::Body - HTTP Body Parser
Summary(pl.UTF-8):	HTTP::Body - parser ciała odpowiedzi HTTP
Name:		perl-HTTP-Body
Version:	1.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cccf0211c15a9fed67c68c826c5efeaf
URL:		http://search.cpan.org/dist/HTTP-Body/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Path-Class
BuildRequires:	perl-YAML >= 0.39
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP Body Parser.

%description -l pl.UTF-8
Parser ciała odpowiedzi HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTTP/*.pm
%{perl_vendorlib}/HTTP/Body
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-Body.spec,v $
Revision 1.10  2012/01/18 20:15:25  zbyniu
- up to 1.15

Revision 1.9  2011/05/11 02:30:24  aredridel
- 1.12

Revision 1.8  2009/01/22 14:15:29  radek
- version 1.05, kill readme same as pod

Revision 1.7  2007/09/09 12:27:50  radek
- version 0.9

Revision 1.6  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.4  2006/01/30 17:00:25  migo
- up to 0.6

Revision 1.3  2005/11/11 09:01:55  migo
- up to 0.4

Revision 1.2  2005/11/08 20:31:59  qboosh
- pl, generic URL

Revision 1.1  2005/11/07 14:26:59  migo
- initial revision
